package org.jeecg.modules.pay.request.v3.los;


import org.jeecg.modules.pay.request.ReqData;

/**
 * 订单交易信息查询请求报文
 * 交易接口V3.0下订单类接口
 *
 * @author Mr丶xie
 * @version 1.0.0
 * @mail xielinke@lklink.cn
 */
public class QueryOrderRequest extends ReqData {

    /**
     * 商户订单号
     */
    private String out_order_no;

    /**
     * 商户号
     */
    private String merchant_no;

    /**
     * 支付订单号
     */
    private String pay_order_no;

    /**
     * 渠道号
     */
    private String channel_id;

    public String getOut_order_no() {
        return out_order_no;
    }

    public void setOut_order_no(String out_order_no) {
        this.out_order_no = out_order_no;
    }

    public String getMerchant_no() {
        return merchant_no;
    }

    public void setMerchant_no(String merchant_no) {
        this.merchant_no = merchant_no;
    }

    public String getPay_order_no() {
        return pay_order_no;
    }

    public void setPay_order_no(String pay_order_no) {
        this.pay_order_no = pay_order_no;
    }

    public String getChannel_id() {
        return channel_id;
    }

    public void setChannel_id(String channel_id) {
        this.channel_id = channel_id;
    }
}
